foreman-debug should grab installer configs and pulp proxy configs

08/13/2014 12:30 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1125391 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/457
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1125391

Description of problem:

/etc/katello-installer/*

/etc/pulp/server/plugins.d/*

NOTE! These files should be filtered for passwords so we don't grab them.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. run foreman-debug

2. Extract debug

Actual results:

installer configs and pulp proxy configs are not captures

Expected results:

These should be capsure

Additional info:

NOTE! These files should be filtered for passwords so we don't grab them.

Associated revisions

Revision c434bc1a - 08/13/2014 01:46 PM - Walden Raines

Fixes #7071/BZ1125391: add installer and pulp configs to katello-debug.

We do not include katello-installer and pulp proxy configs when running

katello-debug.  This commit adds these configs.

http://projects.theforeman.org/issues/7071

https://bugzilla.redhat.com/show_bug.cgi?id=1125391

Revision fb5f6737 - 08/13/2014 02:15 PM - Walden Raines

Merge pull request #4577 from waldenraines/7071

Fixes #7071/BZ1125391: add installer and pulp configs to katello-debug.

History

#1 - 08/13/2014 12:35 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1125391
http://projects.theforeman.org/issues/7071
https://bugzilla.redhat.com/show_bug.cgi?id=1125391


- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4577 added

- Pull request deleted ()

#2 - 08/13/2014 03:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|c434bc1a8f5afe60fe4b8f4b3c84504c08c0e576.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
